.p-cart-container {
    margin-top: 50px;
}

.p-cart-products-title-fields {
    display: none;
}

.p-cart-products-table {
    display: flex;
    flex-direction: column;

    border-radius: var(--radius);
    border: 1px solid var(--gray-border);
    background: var(--white);
}

.p-cart-product-image {
    width: 90px;
    height: 90px;
}

.p-cart-products-holder {
    display: flex;
    flex-direction: column;
    gap: 20px;
    background-color: var(--white);
    padding: 15px 10px;
}

.p-cart-product-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--radius);
}

.p-cart-product-first-part {
    width: 100%;
    display: flex;
    align-items: flex-start;
    gap: 10px;
}

.p-cart-product-first-part span {
    display: block;
}

.p-cart-product-quantity-and-price {
    display: flex;
    justify-content: space-between;
}

.p-cart-product-price-holder {
    display: flex;
    align-items: flex-start;
    gap: 10px;
}

.p-cart-product-price-holder span {
    font-size: 14px;
    line-height: 18px;
}

.p-cart-product {
    display: flex;
    flex-direction: column;
    gap: 20px;
    position: relative;
}

.p-cart-product-total {
    display: flex;
    justify-content: space-between;
    background: rgba(0, 101, 181, 0.09);
    border-radius: var(--radius);
    padding: 10px 15px;
    margin-top: 15px;
}

.p-cart-actions-holder {
    border-radius: var(--radius);
    background: rgba(0, 101, 181, 0.09);
    height: fit-content;
}

.p-cart-actions-heading span {
    color: var(--white);
    text-align: center;
}

.p-cart-actions-heading {
    padding: 5px 10px;
    background: var(--blue);
    text-align: center;
    border-top-left-radius: var(--radius);
    border-top-right-radius: var(--radius);
}

.p-cart-totals {
    padding: 10px 15px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.p-cart-row {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.p-cart-products-and-total-wrapper {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.p-centered-button {
    display: flex;
    justify-content: center;
    margin-top: 10px;
    margin-bottom: 10px;
}

.p-cart-product-delete {
    position: absolute;
    top: 0px;
    right: 15px;
}

@media only screen and (min-width:992px) {
    .p-cart-container {
        margin-top: 100px;
    }

    .p-cart-products-and-total-wrapper {
        flex-direction: row;
    }

    .p-cart-products-table {
        width: calc(70% - 25px);
    }

    .p-cart-actions-holder {
        width: calc(30% - 25px);
    }

    .p-cart-product {

        flex-direction: row;
    }

    .p-cart-product-first-part {
        width: 50%;
    }

    .p-cart-product-second-part {
        display: flex;
        flex-direction: row;
        width: 50%;
    }

    .p-cart-product-total {
        margin-top: 0px;
        background: none;
        border: none;
    }

    .product-quantity-buttons {
        height: fit-content;
    }

    .total-span {
        display: none !important;
    }

    .p-cart-product-quantity-and-price {
        width: 60%;
        justify-content: unset;
    }


    .p-cart-product-total, .p-cart-title-total-wrapper {
        width: 30%;

        padding: 0px;
    }

    .p-cart-product-price-holder .product-price {
        display: block;
        width: 50%;
    }

    .p-cart-product-price-holder .product-sale-holder {
        flex-direction: column;
        align-items: flex-start;
    }

    .p-cart-product-price-holder .product-price span {
        display: block;
    }

    .p-cart-products-title-fields {
        display: flex;
        background-color: var(--blue);
        border-top-left-radius: var(--radius);
        border-top-right-radius: var(--radius);
        color: var(--white);
        padding: 5px 20px;
    }


    .p-cart-products-holder {
        padding: 25px 20px;
    }

    .p-cart-products-product-wrapper {
        width: 50%;
    }

    .p-cart-products-quantity-wrapper {
        display: flex;

        width: 50%;

    }

    .p-cart-title-quantity-and-price {
        width: 60%;
        display: flex;

    }

    .p-cart-title-quantity-and-price span {
        display: block;
        width: 50%;
    }


    .p-cart-product-price-holder {
        width: 50%;
    }


}

@media only screen and (min-width:1200px) {
    .p-cart-product-price-holder .product-sale-holder {
        flex-direction: row;
    }

    .p-cart-products-table {
        width: calc(75% - 25px);
    }

    .p-cart-actions-holder {
        width: calc(25% - 25px);
    }
}